List your assessments
Every assessment an animal can be given, the active ones first. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
assessment-templates
List your assessments
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/assessment-templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/assessment-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/assessment-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"questions": [
{
"label": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>",
"score": 123,
"fill": "yes",
"min_age": 9
}
],
"key": "<string>",
"fills": "good_with_dogs"
}
],
"is_active": true,
"species": [
"<string>"
],
"description": "<string>",
"starter_key": "<string>",
"sort_order": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List your assessments
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/assessment-templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/assessment-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/assessment-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"questions": [
{
"label": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>",
"score": 123,
"fill": "yes",
"min_age": 9
}
],
"key": "<string>",
"fills": "good_with_dogs"
}
],
"is_active": true,
"species": [
"<string>"
],
"description": "<string>",
"starter_key": "<string>",
"sort_order": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
